## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name mirakuru

Name:           python-%{pypi_name}
Version:        2.4.2
Release:        %autorelease
Summary:        A process orchestration tool designed for functional and integration tests

License:        LGPLv3+
URL:            https://github.com/ClearcodeHQ/mirakuru
Source0:        https://github.com/ClearcodeHQ/mirakuru/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

# for check
BuildRequires:  netcat
BuildRequires:  procps-ng
BuildRequires:  python-unversioned-command


%description
A python library that starts your subprocess and waits for a clear indication,
that it's running (process orchestrator)

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Mirakuru is a process orchestration tool designed for functional and
integration tests

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest --no-cov

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc AUTHORS.rst CHANGES.rst README.rst

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 2.4.2-2
- Rebuilt for Python 3.11

* Wed Feb 09 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 2.4.2-1
- Update to 2.4.2 - Closes rhbz#2052728

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 10 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.4.1-2
- Changes based on #1991135 review

* Fri Aug 06 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 2.4.1-1
- Initial version

